import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { Router } from '@angular/router';
import { Observable } from 'rxjs';
import { UsersService } from 'src/app/services/users.service';
import { User } from 'src/app/models/user'
import { FormGroup, FormBuilder} from '@angular/forms';
import { AngularFirestore, AngularFirestoreDocument } from '@angular/fire/firestore';
import { take } from 'rxjs/operators';

@Component({
  selector: 'app-list-user',
  templateUrl: './list-user.component.html',
  styleUrls: ['./list-user.component.css']
})
export class ListUserComponent implements OnInit {

  selectCompany: FormGroup
  selectProtege: FormGroup

  users: any[]
  userList: any[]
  usersObs$: Observable<User[]>
  companiesObs$: Observable<any[]>
  company: string
  userToProtect: string
  test: boolean = true

  // PROTEGE
  protegesObs$: Observable<User[]>
  // permet de recuperer l'email depuis id passé par le champ select
  protegeForAdmin: User
  protegeForAdminEmail: string
  protegeDocRef: any
  protegeDatas: User
  protegeDatas2: User


 // CHATROOM


 chatRoom : any = {
  angel_email: '',
  chat_room_id: '',
  protected_email: '',
  timestamp: '',

  }

  constructor(private formBuilder: FormBuilder, private router: Router, private route: ActivatedRoute, private usersService: UsersService, private afs: AngularFirestore) { }

  ngOnInit() {

   

     // Initialisation formulaire Company
     this.selectCompany = this.formBuilder.group({
      company: '',
      
    })

    // Initialisation formulaire select Protege
    this.selectProtege = this.formBuilder.group({
      protege: '',
      
    })

    this.usersObs$ = this.usersService.getUsers()
    // recupere les utilisateurs qui n'ont pas d'ange gardien
    this.protegesObs$ = this.usersService.getProteges()
    this.companiesObs$ = this.usersService.getCompanies()
  
  }

  
  getUserByCompany(value) {

    this.usersObs$ = this.usersService.getUsersByCompany(value)
    
  }


  setProtege(protegeId, userId, userEmail) {
    
    this.protegeDocRef = this.afs.doc('users/'+ protegeId).valueChanges();
    this.protegeDocRef.pipe(take(1)).subscribe( datas =>
      {
        console.log(datas)
        this.protegeDatas = datas

        this.protegeForAdminEmail = this.protegeDatas.email
        
        this.usersService.affectUserToProtectToUser(userId, this.protegeForAdminEmail)
        this.chatRoom.protected_email = this.protegeForAdminEmail
        this.chatRoom.angel_email = userEmail
        this.chatRoom.timestamp = new Date()
        this.usersService.setProtegeAsProtected(protegeId, userEmail)

        this.afs.collection("chat_room").add(this.chatRoom) 
      }
    )
   

    // this.usersService.setProtegeAsProtected(protegeId, userEmail)

    // this.afs
    //           .collection("chat_room")
    //           .add(this.chatRoom) 

    // callback pour refresh page
    //setTimeout(this.reloadPage, 1000)
   
     
  }

  deleteUser(user_id) {
   
     this.usersService.deleteUser(user_id)

   } 

   clickTest()
   {
    console.log('clicked')
   }

}
