import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AddItemComponent } from './components/add-item/add-item.component';
import { ItemsComponent } from './components/items/items.component';
import { EditItemComponent } from './components/edit-item/edit-item.component';
import { FirebaseTestsComponent } from './components/firebase-tests/firebase-tests.component';
import { RegisterComponent } from './components/register/register.component';
import { DashboardComponent } from './admin/dashboard/dashboard.component';
import { EditUserComponent } from './components/users/edit-user/edit-user.component';
import { AddItemTestComponent } from './components/add-item-test/add-item-test.component';
import { ReactiveFormComponent } from './components/reactive-form/reactive-form.component';
import { FirebaseOperationsComponent } from './helpers/firebase-operations/firebase-operations.component';
import { SigninAdminComponent } from './components/signin-admin/signin-admin.component';
import { SigninUserComponent } from './user/dashboard/signin-user/signin-user.component';
import { UserDashboardComponent } from './user/dashboard/user-dashboard/user-dashboard.component';
import { AngelSpaceComponent } from './user/dashboard/spaces/angel-space/angel-space.component';
import { ProtegeSpaceComponent } from './user/dashboard/spaces/protege-space/protege-space.component';
import { ChatComponent } from './components/chat/chat.component';
import { ChatWithAngelComponent } from './components/chat/components/chat-with-angel/chat-with-angel.component';
import { ChatWithProtegeComponent } from './components/chat/components/chat-with-protege/chat-with-protege.component';



const routes: Routes = [
  { path: 'item-listing', component: ItemsComponent },
  { path: 'edit-item', component: EditItemComponent },
  { path: 'edit-item/:id', component: EditItemComponent },
  { path: 'firebase-tests', component: FirebaseTestsComponent },
  { path: 'register', component: RegisterComponent },
  { path: 'signin-admin', component: SigninAdminComponent },
  { path: 'admin/dashboard', component: DashboardComponent },
  { path: 'edit-user', component: EditUserComponent },
  { path: 'edit-user/:id', component: EditUserComponent },
  { path: 'firebase-operations', component: FirebaseOperationsComponent },
  { path: 'signin-user', component: SigninUserComponent },
  { path: 'angel-space', component: AngelSpaceComponent },
  { path: 'protege-space', component: ProtegeSpaceComponent },
  { path: 'user/dashboard', component: UserDashboardComponent },
  { path: 'admin', component: DashboardComponent }

];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
