import { Component, OnInit } from '@angular/core';
import { ItemService } from 'src/app/services/item.service';
import { Item } from 'src/app/models/item';
import { Router } from '@angular/router';

@Component({
  selector: 'app-add-item',
  templateUrl: './add-item.component.html',
  styleUrls: ['./add-item.component.sass']
})
export class AddItemComponent implements OnInit {

  // Parametres pour upload images
  photoUploading = false;
  photoUploaded = false;
  photoUrl: string;

  // Champ du formulaire

  item: Item = {
    name: '',
    email: '',
    message:'',
    comment: '',
    photo: '',
    options: '',
  }

  options = ['1', '2', '3']
  placeholder = 'choisir'
 
  //options: string[] = ["10", "20", "50"];
  //selectedQuantity = "10";

  constructor(
    private itemService: ItemService,
    private router: Router
    ) { }

  ngOnInit() {
    this.item.options = this.options
    console.log(this.item.options)
  }

  onSubmit() {
    this.item.photo = this.photoUrl ? this.photoUrl : ''// On ajoute la valeur url de la photo dans l'objet item si elle existe, sinon on insere une valeur vide
    console.log (this.item.photo)
    this.itemService.createItem(this.item);
    console.log (this.item)
    // On vide les champs du formulaire apres soumission
    this.item.email = '';
    this.item.email = '';
    this.item.message = '';
    this.item.comment = '';
    //this.router.navigate(['/item-listing']) //navigue vers item-listing
  }

  onUploadFile(event) {
    this.photoUploading = true;
    //console.log(event)
    this.itemService.uploadFile(event.target.files[0]).then(
      (url: string) => {
        this.photoUrl = url;
        this.photoUploading = false;
        this.photoUploaded = true;

      }
    )
  }

}
