import { Component, OnInit, AfterViewInit } from '@angular/core';
import { ChatService } from 'src/app/services/chat.service';
import { UsersService } from 'src/app/services/users.service';
import { Message } from 'src/app/models/message';
import { User } from 'src/app/models/user';

@Component({
  selector: 'app-chat-display',
  templateUrl: './chat-display.component.html',
  styleUrls: ['./chat-display.component.css']
})
export class ChatDisplayComponent implements OnInit, AfterViewInit {

  
  retrievedMessages: any[];

  
   // User datas
   userDatas: any[]
   userId : string
   surname : string
   userPhoto : string
   userToProtect: string

   // Protege Datas
   protegeDatas: any[]
   protegeSurname: string

   container: HTMLElement;

  constructor(private chatService:ChatService, private usersService: UsersService) { }

  ngAfterViewInit() {         
    this.container = document.getElementById("msgContainer");           
    this.container.scrollTop = this.container.scrollHeight;     
  } 

  ngOnInit() {

    // On recupere les infos de l'utilisateur connecté pour affichage conditionnel des messages
    this.usersService.getConnectedUserDatas().subscribe(
      results => {

        this.userDatas = results
        this.userId = this.userDatas[0].id
        this.surname = this.userDatas[0].surname
        this.userPhoto = this.userDatas[0].photo
        this.userToProtect = this.userDatas[0].userToProtect
        
        //console.log('this.userToProtect : ', this.userToProtect)

        // On reecupere les infos du protege
        this.chatService.getProtegeUserDatas(this.userToProtect).subscribe(
          results => { 
            
            this.protegeDatas = results
            this.protegeSurname = this.protegeDatas[0].surname
            //console.log('PROTEGE SURNAME IS : ', this.protegeSurname)
            }
          )
      }
      
    )

    
   
    
    
    

    this.chatService.getMessages().subscribe(
      results => {
        
        this.retrievedMessages = results

      }
    )



  }


  

   

  

}


