import { Component, OnInit, Input } from '@angular/core';
import { Message } from 'src/app/models/message';
import { ChatService } from 'src/app/services/chat.service';


@Component({
  selector: 'app-chat-message',
  templateUrl: './chat-message.component.html',
  styleUrls: ['./chat-message.component.sass']
})
export class ChatMessageComponent implements OnInit {

  // @Input on an @Input() allows data to be input into the child component from the parent component. 
  //Remember that the data flow is from the perspective of the child component. 


  @Input() message: Message;
  // @Input() messageConnectedUser: Message;

  constructor(private chatService: ChatService) { }

  ngOnInit() {
    
    
  }

  onDelete(id){
    this.chatService.deleteMessage(id)
  }


}
