import { Component, OnInit } from '@angular/core';
import { ItemService } from 'src/app/services/item.service';
import { Item } from 'src/app/models/item';
import { ActivatedRoute } from "@angular/router";
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';


@Component({
  selector: 'app-edit-item',
  templateUrl: './edit-item.component.html',
  styleUrls: ['./edit-item.component.sass']
})
export class EditItemComponent implements OnInit {

  // Champ du formulaire

  singleDocumentField: Item = {
      name: '',
      email: '',
      message:''
  }

  // DOCUMENT (SINGLE DOCUMENT IN A COLLECTION)
  itemDoc: AngularFirestoreDocument<Item[]>;
  singleDocument$: Observable<Item[]>;
  
  // COLLECTION 
  
  itemsCollection: AngularFirestoreCollection<Item>;
  //item: Observable<Item[]>;
  item: any;

  // VARIABLE QUI STOCKE L'ID FIRESTORE ENVOYEE DANS L'URL
  id1: string;

 
  constructor(public afs: AngularFirestore, private itemService: ItemService, private route: ActivatedRoute, private router: Router) {

      this.itemsCollection = this.afs.collection('contacts')

      // Recupere id passee dans l'url
      if (this.route.snapshot.params['id'])
        {this.id1 = this.route.snapshot.params['id'];}
      else 
        {this.id1='NO ID'}

      // On recupere les donnees du singledocument pour les inserer dans le formulaire
      this.itemDoc = this.afs.doc('contacts/'+ this.id1)
        
      console.log('singleDocumentField.name : ', this.itemDoc)
   }

  ngOnInit() {

  // 1) ON SUBSCRIBE  // subscribe( results =>)  on donnne le nom que l'on veut dans la partie gauche de l'operateur  
  //  this.itemService.getItemsById().subscribe();
 
  // RECUPERE TOUTE LA COLLECTION
  this.item = this.itemsCollection.valueChanges()

  // RECUPERE UN SEUL DOCUMENT
  this.singleDocument$ =  this.itemDoc.valueChanges()
  this.singleDocument$.subscribe()
  }

  onSubmit(){}


  deleteTest(data_id) {
    // $('#deleteConfirmModal').modal('show')
    this.afs
    .doc('contacts/' + data_id)
    .delete()
  }
  


}
