import { Component, OnInit } from '@angular/core';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';
import { ActivatedRoute } from "@angular/router";
import { ItemService } from 'src/app/services/item.service';
import { Item } from 'src/app/models/item';


@Component({
  selector: 'app-firebase-tests',
  templateUrl: './firebase-tests.component.html',
  styleUrls: ['./firebase-tests.component.sass']
})
export class FirebaseTestsComponent implements OnInit {


  // UTILISER UN OBSERVABLE AVEC UNE COLLECTION
  itemCollection: AngularFirestoreCollection<Item>;
  // OBSERVABLE DE ITEMCOLLECTION QUI VA STOCKER LA COLLECTION, LES INFOS ET MODIFICATIONS EN TEMPS REEL
  itemObservableArray$: Observable<Item[]>;
  // ON VA SOUSCRIRE A L OBSERVABLE ET LES RESULTATS SONT STOCKES DANS UN ARRAY QUI CONTIENT LES PROPRIETES
  itemArray;


  // UTILISER UN OBSERVABLE AVEC UN DOCUMENT
  itemDocument: AngularFirestoreDocument<Item[]>;
  singleDocument$: Observable<Item[]>;
  singleDocumentArray: any = {
    name: '',
    email: '',
    message:''
}
  constructor(public afs: AngularFirestore, private itemService: ItemService, private route: ActivatedRoute, private router: Router) {
    
      //  OBSERVABLE POUR UNE COLLECTION
   
      this.itemCollection = this.afs.collection('contacts');
      this.itemObservableArray$ = this.itemCollection.valueChanges();
      
      this.itemObservableArray$.subscribe(results=> { 
        //converting oberv in array
        this.itemArray = results;
        console.log('Valeur de ITEM ARRAY : ', this.itemArray)
        console.log('Valeur DE LA PROPRIETE MESSAGE ITEM 0 : ', this.itemArray[0].email)
      });
    
      //  OBSERVABLE POUR UN SINGLE DOCUMENT
      this.itemDocument = afs.doc('contacts/iRoZiP8LefxuGKvLaI4s')
      this.singleDocument$ = this.itemDocument.valueChanges();
     // Single document subscribe to get form fields values
      this.singleDocument$.subscribe(results => {
        this.singleDocumentArray = results;
        console.log('SINGLE DOCUMENT ARRAY : ', this.singleDocumentArray)
      });

      
    

    

   }
  
  

  ngOnInit() {


  }
 
  onUpdate(data) {
    this.afs.doc('contacts/ymupBmCvTunaMaZyTKIR').update(data);
    
  }

}
