import { Component, OnInit } from '@angular/core';
import { ItemService } from 'src/app/services/item.service';
import { Item } from 'src/app/models/item';
import { ActivatedRoute } from '@angular/router';
import { Router } from '@angular/router';


@Component({
  selector: 'app-items',
  templateUrl: './items.component.html',
  styleUrls: ['./items.component.sass']
})
export class ItemsComponent implements OnInit {
  // 2) on cree une proprieté, puis lorsque l on recupere la valeur de l'observable on l'assigne à cette propriété
  items: Item[];
  photoUrl: string;
  item_modal_delete_id : string;
  name: string;

  constructor(
    private itemService: ItemService,
    private router: Router,
    private route: ActivatedRoute) { }

  ngOnInit() {

   

    // 1) ON SUBSCRIBE  // subscribe( results =>)  on donnne le nom que l'on veut dans la partie gauche de l'operateur (ex: results)  
   this.itemService.getItems().subscribe(results => {
     
    //  Voir 2)
    this.items = results;  // Converting observable into array
    //console.log('Valeur DE LA PROPRIETE EMAIL ITEM 0 : ', this.items[0].email)

    
   });
   

  }

  setItemDeleteId(id_data){
    this.item_modal_delete_id = id_data
    console.log(this.item_modal_delete_id)
  }

  deleteItem() {
   // console.log(this.item_modal_delete_id)
    this.itemService.deleteItem(this.item_modal_delete_id)
    //$('#deleteConfirmModal').modal('hide')
   // location.reload(); // on refresh la page pour supprimer le bug de la modal
    this.router.navigate(['/item-listing']) //navigue vers item-listing
    
  } 

  
  removeFile(){
    //this.fileLink = 'https://firebasestorage.googleapis.com/v0/b/coffee-app-76b18.appspot.com/o/images%2F1598282231384Capture%20d%E2%80%99e%CC%81cran%202019-06-17%20a%CC%80%2011.06.38.jpg?alt=media&token=dc827096-007e-4dac-b598-a5b54de0185c'
    this.itemService.removeFile()
  }

  removeField(id_data){
    this.itemService.removeField(id_data)
    
  }


 
}
