import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { Challenge } from 'src/app/models/challenge'
import { User } from 'src/app/models/user';
import { AuthenticationService } from 'src/app/services/authentication.service';
import { ChallengeService } from 'src/app/services/challenge.service';
import { UsersService } from 'src/app/services/users.service';

@Component({
  selector: 'app-challenge-modal',
  templateUrl: './challenge-modal.component.html',
  styleUrls: ['./challenge-modal.component.css']
})
export class ChallengeModalComponent implements OnInit {

  user: User
  userDatas: any[];
  // user$: Observable<User>
  challenge: Challenge
  dailyChallengeDone: boolean
  selectedChallengeDatas: any[]

  selectedChallengeId: string

  dailyChallengeDatas: any[]
  dailyChallengeName: string

  currentDay: number

  constructor(private challengeService: ChallengeService, private authenticationService: AuthenticationService) { }

  ngOnInit() {

    
    this.user = this.authenticationService.user
    
    this.dailyChallengeDone = this.user.dailyChallengeDone

    this.currentDay = this.challengeService.getCurrentDay()


    this.challengeService.getCurrentChallenge(this.currentDay)


    this.challengeService.getDailySelectedChallenge().subscribe(results => {
      this.selectedChallengeDatas = results
      this.selectedChallengeId = this.selectedChallengeDatas[0].selected_challenge_id

      this.challengeService.getDailyChallengeDatas(this.selectedChallengeId).subscribe(results => {
        this.dailyChallengeDatas = results
        this.challenge = this.dailyChallengeDatas[0]

      }
      )


    }

    )

  }

  setChallengeToDone(selectedChallengeId) {

    this.challengeService.incrementChallengeCounter(this.selectedChallengeId)
    this.challengeService.setDailyChallengeToDone(this.user.id)
  }

}
