import { Component, OnInit } from '@angular/core';
import { ChatService } from 'src/app/services/chat.service';
import { UsersService } from 'src/app/services/users.service';


@Component({
  selector: 'app-thank-modal',
  templateUrl: './thank-modal.component.html',
  styleUrls: ['./thank-modal.component.css']
})
export class ThankModalComponent implements OnInit {



  // User datas


  userDatas: any[]
  userEmail: string

  // Protector datas
  protectorDatas: any[]
  protectorBadges: any[]
  protectorId: string
  generosite: string
  altruisme: string
  humour: string
  gentillesse: string
  joieDeVivre: string
  sherlock: string


  constructor(private usersService: UsersService, private chatService: ChatService) { }

  ngOnInit() {

    this.usersService.getConnectedUserDatas().subscribe(results => {
      this.userDatas = results
      this.userEmail = this.userDatas[0].email

      // on recupere les infos du protecteur
      this.chatService.getProtectorUserDatas(this.userEmail).subscribe(results => {
        this.protectorDatas = results
        //this.protectorBadges = this.protectorDatas[0].badges
        this.protectorId = this.protectorDatas[0].id

        this.generosite = this.protectorDatas[0].badge_generosite
        this.altruisme = this.protectorDatas[0].badge_altruisme
        this.humour = this.protectorDatas[0].badge_humour
        this.gentillesse = this.protectorDatas[0].badge_gentillesse
        this.joieDeVivre = this.protectorDatas[0].badge_joie_de_vivre
        this.sherlock = this.protectorDatas[0].badge_sherlock


      }

      )

    }
    )

  }

  addGenerosite() {
    this.usersService.addGenerosite(this.protectorId)
  }

  addGentillesse() {
    this.usersService.addGentillesse(this.protectorId)
  }

  addHumour() {
    this.usersService.addHumour(this.protectorId)
  }

  addJoieDeVivre() {
    this.usersService.addJoieDeVivre(this.protectorId)
  }

  addSherlock() {
    this.usersService.addSherlock(this.protectorId)
  }






}


