import { Component, OnInit } from '@angular/core';
import { AuthenticationService } from 'src/app/services/authentication.service';
import * as firebase from 'firebase';
import { AngularFirestore } from '@angular/fire/firestore';
import { Router } from '@angular/router';
import { UsersService } from 'src/app/services/users.service';


@Component({
  selector: 'app-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.css']
})
export class NavigationComponent implements OnInit {
  
  userOrAdmin : string;
  adminLoggedIn : boolean = false;
  userLoggedIn : boolean = false;
  loggedIn : boolean = false;
  public test: boolean = false;
  connectedUserEmail: any;
  userEmail : string;
  

  constructor(public afs: AngularFirestore, private authenticationService: AuthenticationService, private usersService: UsersService, private router: Router) { }

  ngOnInit() {

    // On verifie qui de admin ou de user est connecté 
    firebase.auth().onAuthStateChanged((userSession) => {
      if(userSession){
        if (userSession.email == 'test@test.com') {
          this.adminLoggedIn = true  
          this.userLoggedIn = false
          this.loggedIn = true
          
        } 
        else if(userSession.email != null)
        { 
          this.adminLoggedIn = false  
          this.userLoggedIn = true
          this.loggedIn = true
          this.userEmail = firebase.auth().currentUser.email
      
          
        }
      }
      else{
        // PAS DE SESSION ACTIVE
        this.loggedIn = false
        this.adminLoggedIn = false
        this.userLoggedIn = false
        this.userEmail = null
        this.router.navigate(['/'])
    
        //this.onSignOut()
      }
       
    }
    
    
  )

  
  

 

  }
  
 

  onSignOut() {
    this.authenticationService.signOutUser()
    this.adminLoggedIn = false;
    this.userLoggedIn = false;
    this.loggedIn = false;
    this.router.navigate(['/'])
    
  }

}
