import { Component, OnInit } from '@angular/core';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { FormGroup, FormBuilder, Validators } from '@angular/forms';
import { ItemService } from 'src/app/services/item.service';
import { Observable } from 'rxjs';
import * as firebase from 'firebase';
import { Router } from '@angular/router';


@Component({
  selector: 'app-reactive-form',
  templateUrl: './reactive-form.component.html',
  styleUrls: ['./reactive-form.component.sass']
})
export class ReactiveFormComponent implements OnInit {

  // FORMULAIRE
  formulaire: FormGroup
  
 

  // FIREBASE
   // 1 On fait reference a une collection (qui est une liste de documents) pour stocker ensuite le valeurs dedans
  //itemsCollection: AngularFirestoreCollection<any>;
  // Définition de l'objet item qui contiendra les données à envoyer dans firebase
  

  item : any = {
    name: '', 
    email:'',
    message: '',
    options: '',
    photo: ''
  }

  options = ['1', '2', '3']

   // Parametres pour upload images
   photoUploading = false;
   photoUploaded = false;
   photoUrl: string;

  constructor(private formBuilder: FormBuilder, public afs: AngularFirestore, private itemService: ItemService, private router: Router) { }
              
  ngOnInit() {

  this.formulaire = this.formBuilder.group({
    name: ['', Validators.required], // A renseigner dans formcontrolname=""
    email:['', Validators.email],
    message: ['', Validators.required],
    options: ['', Validators.required],
    photo: '',

  })


  }

  submitFormulaire(){
    //console.log (this.formulaire.value)
    
    this.item.name = this.formulaire.get('name').value;
    this.item.email = this.formulaire.get('email').value;
    this.item.message = this.formulaire.get('message').value;
    this.item.options = this.formulaire.get('options').value;
    this.item.photo = this.photoUrl ? this.photoUrl : ''// On ajoute la valeur url de la photo dans l'objet item si elle existe, sinon on insere une valeur vide

    this.afs
    .collection("contacts")
    .add(this.item) 

    this.router.navigate(['/item-listing']) // On redirige vers item-listing
  } 

  onUploadFile(event) {
    this.photoUploading = true;
    console.log(event)
    this.itemService.uploadFile(event.target.files[0]).then(
      (url: string) => {
        this.photoUrl = url;
        this.photoUploading = false;
        this.photoUploaded = true;

      }
    )
  }

}
