import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { AngularFirestore } from '@angular/fire/firestore';
import { AuthenticationService } from 'src/app/services/authentication.service';

@Component({
  selector: 'app-register',
  templateUrl: './register.component.html',
  styleUrls: ['./register.component.sass']
})

export class RegisterComponent implements OnInit {

  registerForm : FormGroup

  constructor(private formBuilder: FormBuilder, public afs: AngularFirestore, private authenticationService: AuthenticationService) { }

  ngOnInit() {

    this.registerForm = this.formBuilder.group({
      email: ['', [Validators.required, Validators.email]],
      password: ['',[Validators.required, Validators.minLength(6)]]

    });
    
  }

  registerUser(){

    console.log(this.registerForm.value)
    const email = this.registerForm.get('email').value;
    const password = this.registerForm.get('password').value;
    
    // on call le service
    this.authenticationService.createUser(email, password).then(
      () => { console.log('OK'); }
    ).catch(
      (error) => {console.log(error); }
    )
    //  pour 2 em champ de confirmation passsword
    // if (password === passwordConfirm) {
    // }

  }

}
