import { Component, OnInit } from '@angular/core';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';
import { AngularFirestore } from '@angular/fire/firestore';
import * as firebase from 'firebase';
import { AuthenticationService } from 'src/app/services/authentication.service';
import { Router } from '@angular/router';
import { UsersService } from 'src/app/services/users.service';


@Component({
  selector: 'app-signin-admin',
  templateUrl: './signin-admin.component.html',
  styleUrls: ['./signin-admin.component.sass']
})
export class SigninAdminComponent implements OnInit {

  signinForm: FormGroup

  // FormBuilder est un constructeur de formulaires en methode REACTIVE
  constructor(
    private formBuilder: FormBuilder, 
    public afs: AngularFirestore, 
    private authenticationService: AuthenticationService,
    private usersService: UsersService,
    private router: Router
    ) { }
 
  ngOnInit() {

    this.signinForm = this.formBuilder.group({
      email: ['', [Validators.required, Validators.email]],
      password: ['',[Validators.required, Validators.minLength(6)]]

    });

  }

// CREATE USER
  CreateUser(){

    // console.log(this.signinForm.value)
    const email = this.signinForm.get('email').value;
    const password = this.signinForm.get('password').value;
    // on appel le service qui retourne une promise
    this.authenticationService.createUser(email, password).then(
      () => { console.log('CREATION USER OK'); }
    ).catch(
      (error) => {console.log(error); }
    )
    //  pour 2 em champ de confirmation passsword
    // if (password === passwordConfirm) {
    // }
  }

  // SIGN USER IN
  signInAdmin(){

    const email = this.signinForm.get('email').value;
    const password = this.signinForm.get('password').value;
    // on appel le service qui retourne une promise
    this.authenticationService.signInAdmin(email, password).then(
      (data) => { 
        this.router.navigate(['/admin','dashboard']) //navigue vers admin/dashboard
        }
    ).catch(
      (error) => {console.log(error); }
    )
   
  }


}
