import { Component, OnInit } from '@angular/core';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import { Observable } from 'rxjs';
import { Router } from '@angular/router';
import { ActivatedRoute } from "@angular/router";
import { ItemService } from 'src/app/services/item.service';
import { FormBuilder, FormGroup, Validators } from '@angular/forms';


export interface Item { name: string, email: string, message: string, comment: string }

@Component({
  selector: 'app-edit-user',
  templateUrl: './edit-user.component.html',
  styleUrls: ['./edit-user.component.sass']
})
export class EditUserComponent implements OnInit {

  // FORMULAIRE
  editUserForm : FormGroup

  // VARIABLE QUI STOCKE L'ID FIRESTORE ENVOYEE DANS L'URL
  id_User: string;

  options = ['1', '2', '3']

  // DOCUMENT
  singleUserDoc: AngularFirestoreDocument<Item>;
  singleUserObs$: Observable<Item>;
  singleUserDocArray: any;

  

  constructor(
    public afs: AngularFirestore, 
    private formBuilder : FormBuilder, 
    private route: ActivatedRoute, 
    private router: Router

    ) { 

     // Recupere id passee dans l'url
     if (this.route.snapshot.params['id'])
      {
       this.id_User = this.route.snapshot.params['id'];
       console.log(this.id_User)
      }
   else 
     {this.id_User='NO ID'}
     console.log('id_User = ', this.id_User)


    this.editUserForm = this.formBuilder.group ({
      name: ['name', [Validators.required]],
      email: ['email', [Validators.required, Validators.email]],
      message: ['message', [Validators.required]],
      options: ['Options']
 
    })



    // METHODE ASYNCHRONE -----------------------------------------------
    
    // this.singleUserDoc = this.afs.doc('contacts/ymupBmCvTunaMaZyTKIR');
    this.singleUserDoc = this.afs.doc('contacts/' + this.id_User);
 

      this.singleUserObs$ = this.singleUserDoc.valueChanges();
      this.singleUserObs$.subscribe(datas=> { 
      this.singleUserDocArray = datas; 
        
        this.editUserForm.setValue({
          name: this.singleUserDocArray.name, 
          email: this.singleUserDocArray.email, 
          message: this.singleUserDocArray.message,
          options: this.singleUserDocArray.options
        })
          
        });


   
   

   
    
  
  }

  ngOnInit() {

    
  }


  onSubmitEditUser(data){
    //console.log(this.editUserForm.value)
    this.afs.doc('contacts/' + this.id_User).update(data);
    this.router.navigate(['/item-listing']) //navigue vers item-listing
    
    
  }

}


