import { Injectable } from '@angular/core';
import { AngularFirestore, AngularFirestoreCollection, AngularFirestoreDocument } from '@angular/fire/firestore';
import * as firebase from 'firebase';
import { take } from 'rxjs/operators';

@Injectable({
  providedIn: 'root'
})
export class ChallengeService {

  constructor(public afs: AngularFirestore) { }

  getCurrentDay(){
    var dateObj = new Date()
    var day = dateObj.getUTCDate()
    return day
  }


  getCurrentChallenge(currentDay){
    
    return this.afs.collection('challenges', ref => ref.where('day', '==', currentDay))
    
  }

  getDailySelectedChallenge() {
    return this.afs.collection('selected_challenge').valueChanges( { idField: 'id' } ).pipe(take(1))
  }

  getDailyChallengeDatas(id){

    // LA METHODE POUR RECUPERER UNE COLLECTION PAR ID !!!!!
    return this.afs.collection('challenges', ref => ref.where(firebase.firestore.FieldPath.documentId(), '==', id)).valueChanges().pipe(take(1));

  }

  incrementChallengeCounter(challenge_id){
    //this.userSessionEmail = firebase.auth().currentUser.email
    
    const challengeRef = this.afs.doc('challenges/' + challenge_id);
    const increaseBy = firebase.firestore.FieldValue.increment(1);
    challengeRef.update({ counter: increaseBy });
   
  }

  setDailyChallengeToDone(userId) {
    console.log('user ID is ', userId )
    this.afs.doc('users/' + userId).update({dailyChallengeDone: true})
  }

  mapChallengeToUser(){

  }

}
