import { Component, OnInit } from '@angular/core';
import {MatSnackBar,MatSnackBarHorizontalPosition, MatSnackBarVerticalPosition,} from '@angular/material/snack-bar';
import { UsersService } from 'src/app/services/users.service';
import { User } from 'src/app/models/user'
import { AuthenticationService } from 'src/app/services/authentication.service';

@Component({
  selector: 'app-panel-protege',
  templateUrl: './panel-protege.component.html',
  styleUrls: ['./panel-protege.component.css']
})
export class PanelProtegeComponent implements OnInit {

  horizontalPosition: MatSnackBarHorizontalPosition = 'right';
  verticalPosition: MatSnackBarVerticalPosition = 'bottom';

  openSnackBar() {
    this._snackBar.open('Vous avez des nouveaux messages !', 'Voir', {
      duration: 2000,
      panelClass: ['toast-white-style'],
      horizontalPosition: this.horizontalPosition,
      verticalPosition: this.verticalPosition,
    });
  }
  
  // USER
  userDatas: any[];
  user: User
  userProtegeEmail
  
  // PROTEGE
  protege: User

  // PROTEGE DATAS
  userProtegeDatas: any[];

  // Chatbox
  chatOpen: boolean = true

  // Birthday
  checkBirthday: boolean = false;
  currentDay = new Date();
  month = this.currentDay.getUTCMonth() + 1; //months from 1-12
  day = this.currentDay.getUTCDate();
  year = this.currentDay.getUTCFullYear();
  currentDayToCheck = this.month + "-" + this.day;
  protegeBirthDateToCheck: string;

  constructor(private usersService: UsersService, private _snackBar: MatSnackBar, private authenticationService: AuthenticationService) { }

  ngOnInit() {

   // this.openSnackBar()

    // USER DATAS
    this.user = this.authenticationService.user 
    
    // PROTEGE DATAS
    this.protege = this.authenticationService.protege
    this.protegeBirthDateToCheck = this.protege.birthDate.substring(5)
    
  }

  revealChatBox(){
    const element = document.querySelector('.revealTrigger');
    element.classList.add('effect-in');
    element.classList.remove('effect-out');
    this.chatOpen = true;
  }

  hideChatBox(){
    const element = document.querySelector('.hideTrigger');
    element.classList.add('effect-out');
    element.classList.remove('effect-in');
    this.chatOpen = false;
  }

}
