import { Component, OnInit, OnDestroy } from '@angular/core';
import { UsersService } from 'src/app/services/users.service';
import { ChatService } from 'src/app/services/chat.service';
import { Observable, Subscription } from 'rxjs';
import { AuthenticationService } from 'src/app/services/authentication.service';
import { User } from 'src/app/models/user'
import {MatSnackBar,MatSnackBarHorizontalPosition, MatSnackBarVerticalPosition,} from '@angular/material/snack-bar';

@Component({
  selector: 'app-angel-space',
  templateUrl: './angel-space.component.html',
  styleUrls: ['./angel-space.component.css']
})
export class AngelSpaceComponent implements OnInit {

  horizontalPosition: MatSnackBarHorizontalPosition = 'center';
  verticalPosition: MatSnackBarVerticalPosition = 'top';



  // sliderValue: number = 30;
  mood: number = 10;
  // loaded: boolean = true;

  // User datas from firebase
  userDatas: any[]
  user: User
  userId: string;
  sex : string

  userDatas$: any

  // Chatbox
  chatOpen : boolean = true

  // Protector
  protectorDatas: any
  incognito: boolean
  protectorPhoto: string


  constructor(private usersService: UsersService, private _snackBar: MatSnackBar, private chatService: ChatService, private authenticationService: AuthenticationService) { }

  ngOnInit() {

    this.user = this.authenticationService.user 
    this.userId = this.user.id

    this.userDatas$ = this.usersService.getConnectedUserDatas()
    this.sex = this.user.sex
    this.mood = this.user.mood

    this.usersService.getProtectorUserDatas(this.user.email).subscribe( results => 
      {
        this.protectorDatas = results
        this.incognito = this.protectorDatas[0].incognito
        this.protectorPhoto = this.protectorDatas[0].photo
        //console.log('Incognito ?', this.protectorDatas[0].incognito)

      }
      )
    
  }


  getSliderValue(event){
    this.mood =  event.value;

  }

  // setMoodValue(){
  //   this.usersService.setMood(this.user.id, this.mood)
  // }

  setMoodValue2(){
    this.usersService.setMood(this.user.id, this.mood)
    
  }


  revealChatBox(){
    const element = document.querySelector('.revealTriggerAngel');
    element.classList.remove('effect-out');
    element.classList.add('effect-in');
    this.chatOpen = true;

  }

  hideChatBox(){
    const element = document.querySelector('.hideTriggerAngel');
    element.classList.remove('effect-in');
    element.classList.add('effect-out');
    this.chatOpen = false;
  }

  openSnackBar() {
    this._snackBar.open('Votre humeur est modifiée', '', {
      duration: 5000,
      panelClass: ['toast-white-style'],
      horizontalPosition: this.horizontalPosition,
      verticalPosition: this.verticalPosition,
    });
  }


  

}

