import { Component, OnInit } from '@angular/core';
import { UsersService } from 'src/app/services/users.service';
import { User } from 'src/app/models/user'
import { AuthenticationService } from 'src/app/services/authentication.service';


@Component({
  selector: 'app-protege-space',
  templateUrl: './protege-space.component.html',
  styleUrls: ['./protege-space.component.css']
})
export class ProtegeSpaceComponent implements OnInit {

  user: User
  userProtegeEmail: any

  // PROTEGE DATAS
  protege: User

  // Chatbox
  chatOpen : boolean = true
  

  constructor(private usersService: UsersService, private authenticationService: AuthenticationService) { }

  ngOnInit() {

    // USER DATAS
    this.user = this.authenticationService.user 

    // PROTEGE DATAS
    this.protege = this.authenticationService.protege
 

  }

  revealChatBox(){
    const element = document.querySelector('.revealTrigger');
    element.classList.add('effect-in');
    element.classList.remove('effect-out');
    this.chatOpen = true;
  }

  hideChatBox(){
    const element = document.querySelector('.hideTrigger');
    element.classList.add('effect-out');
    element.classList.remove('effect-in');
    this.chatOpen = false;
  }

}
